Company logoTrust Center Documentation
API v1 ReferenceDocumentsIdVersions

Create a new document version

Creates a draft version from either the current promoted version or a specific source version. The new version is created with status `draft` and is not…

POST
/api/v1/documents/{id}/versions

Creates a draft version from either the current promoted version or a specific source version. The new version is created with status draft and is not active until published and activated.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Document ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "version": {      "id": "b9db1e63-3c9c-4b37-a1b1-29d9a7df0a46",      "key": "draft_1714502400000",      "name": "Q2 Refresh",      "status": "draft",      "is_active": false,      "date_created": "2025-04-30T09:30:00Z",      "date_updated": "2025-04-30T09:30:00Z",      "modified_fields": []    }  }}

How is this guide?